Download it now!
Bug 38727 - FILEOPEN, EDITING: Cross-reference to bookmark on DDE data does not update on file open
Summary: FILEOPEN, EDITING: Cross-reference to bookmark on DDE data does not update o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2011-06-27 15:04 UTC by trumpton9
Modified: 2020-03-19 08:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc and Writer files used to re-create DDE / Field bug (77.57 KB, application/x-gzip)
2011-06-27 15:04 UTC, trumpton9
Details
screenshot of problem (157.24 KB, image/png)
2012-01-27 07:31 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description trumpton9 2011-06-27 15:04:56 UTC
Created attachment 48488 [details]
Calc and Writer files used to re-create DDE / Field bug

Writer document has a DDE linked table to a Calc spreadsheet.
Writer document has bookmarks on certain fields within the table.
These bookmarks are used elsewhere in the document as fields.

Tools / Update / All - correctly updates everything with data from Calc

file close / file open, however updates the Linked table, but not the bookmark-referenced field.  repeatedly closing the file and re-opening it shows that the bookmark-referenced field is one save/load operation behind.  Other fields such as the time-stamp update as expected on loading.

The field can be updated by doing one of the following:

  1) F9
  2) Tools / Update / All
  3) Selecting some text, cutting it to the clipboard and pasting it back


Bug conclusion is as follows:

  1) File / Open updates bookmark-referenced fields before loading the DDE data in.  Some iteration or re-sequencing is required so that external data is updated first, and internal data updated second.

To re-create, please see the two attached files.  Start with reading the Calc file, which walks you through the re-creation ...
Comment 1 trumpton9 2011-06-27 15:14:54 UTC
Actual Version Details:

  LibreOffice 3.3.2 
  OOO330m19 (Build:202)
  3.3.2.2

Running On:

  Mandriva 2011.0 RC
Comment 2 Björn Michaelsen 2011-12-23 12:22:00 UTC Comment hidden (obsolete)
Comment 3 sasha.libreoffice 2012-01-27 07:31:27 UTC
Created attachment 56223 [details]
screenshot of problem

reproduced in LibO 3.6.0 master on Fedora 64 bit
on screenshot we see word "Squared2" and in field below "Squared1", therefore field has previous value of table
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:27 UTC
Restricted my LibreOffice hacking area
Comment 5 Joel Madero 2015-05-02 15:42:11 UTC Comment hidden (obsolete)
Comment 6 Gordo 2015-06-20 14:14:14 UTC
Still reproducible.

Windows Vista 64
Version: 4.4.4.2
Build ID: f784c932ccfd756d01b70b6bb5e09ff62e1b3285

Version: 5.1.0.0.alpha1+
Build ID: 46564fd97308ce070248482ad65a311a329a2b76
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-15_00:08:53
Comment 7 QA Administrators 2016-09-20 10:11:33 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 13:57:37 UTC
Dear trumpton9,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug